Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Memory_Pool.cpp File Reference

`#include "ace/Memory_Pool.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/RW_Thread_Mutex.h"`
`#include "ace/OS_NS_sys_mman.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_sys_stat.h"`
`#include "ace/OS_NS_sys_shm.h"`
`#include "ace/Based_Pointer_T.h"`
`#include "ace/Based_Pointer_Repository.h"`

Include dependency graph for Memory_Pool.cpp:

## Defines
#define | ACE_MAP_FILE(_hnd, _access, _offHigh, _offLow, _nBytes, _baseAdd) MapViewOfFileEx (_hnd, _access, _offHigh, _offLow, _nBytes, _baseAdd)
## Functions
const char * | get_rcsid_ace_Memory_Pool (const char *)
## Variables
const char * | rcsid_ace_Memory_Pool = get_rcsid_ace_Memory_Pool ( rcsid_ace_Memory_Pool )

## Define Documentation

#define ACE_MAP_FILE | ( | _hnd,
|  | _access,
|  | _offHigh,
|  | _offLow,
|  | _nBytes,
|  | _baseAdd |  | ) | MapViewOfFileEx (_hnd, _access, _offHigh, _offLow, _nBytes, _baseAdd)

## Function Documentation

const char* get_rcsid_ace_Memory_Pool | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_Memory_Pool = get_rcsid_ace_Memory_Pool ( rcsid_ace_Memory_Pool )`[static]`